<?xml version="1.0" encoding="utf-16"?>
<Plugin>
  <BeforeSetup>
  </BeforeSetup>
  <AfterSetup>
  	<Item Type="SimpleDll" File="safemon\WallPaperTpi.tpi" Entry="Install360WallPaper" />
  	<Item Type="SimpleDll" File="Safemon\Netm.tpi" Entry="DllRegisterServer" />
    <Item Type="SimpleDll" File="ipc\sbmon.dll" Entry="InstallEx64" />
    <Item Type="SimpleDll" File="ipc\DrvUtility.dll" Entry="InstallDriverFor360SafeSetup" />
    <Item Type="Exe" File="deepscan\zhudongfangyu.exe" Param="/InstallAndStart" WaitForExit="true" />
    <Item Type="SimpleDll" File="deepscan\bapi.dll" Entry="SetupInstall" />
    <Item Type="SimpleDll" File="ipc\qutmipc.dll" Entry="SetupInstall" />
    <Item Type="SimpleDll" File="ipc\sbmon.dll" Entry="InstallEx" />
    <Item Type="SimpleDll" File="safemon\SomProxy.dll" Entry="Install" />
    <Item Type="SimpleDll" File="safemon\360UDiskGuard.dll" Entry="DllRegisterServer" />
    <Item Type="SimpleDll" File="Utils\AdvTools.dll" Entry="InitAdvToolEnv" />
    <Item Type="SimpleDll" File="safemon\DrvmgrTray.tpi" Entry="SetRegForInstall" />
    <Item Type="Exe" File="safemon\wsccontrol.exe" Param="/regas:0_1" WaitForExit="true" />
    <Item Type="SimpleDll" File="safemon\360webpro.dll" Entry="DllRegisterServer" />
    <Item Type="SimpleDll" File="deepscan\qutmload.dll" Entry="SetupInstall" />
    <!--保证这个在最后调用-->
  </AfterSetup>
  <BeforeUninstall>
    <Item Type="SimpleDll" File="safemon\WallPaperTpi.tpi" Entry="UnInst360WallPaper" />
    <Item Type="SimpleDll" File="safemon\360hipspopwnd.dll" Entry="Uninstall" />
    <Item Type="Exe" File="Utils\PowerSaver.exe" Param="-uninstall" WaitForExit="true" />
    <Item Type="Exe" File="firstaid\superkiller.exe" Param="/REG" WaitForExit="true" />
    <Item Type="SimpleDll" File="ipc\DrvUtility.dll" Entry="UnInstallDriverFor360SafeSetup" />
    <Item Type="Exe" File="safemon\wsccontrol.exe" Param="/unregas" WaitForExit="true" />
  </BeforeUninstall>
</Plugin>
